#!/bin/bash


cd /var/lib/forge/realtime-tap
ln -fs tap-S11/data neph
ln -fs tap-A11/data clap
ln -fs tap-N61/data cpc
ln -fs tap-A81/data ae33

filename=`date -u "+X3_%Y%m%dT%H%M%SZ.tar.gz"`

tar chfz "${filename}" neph clap cpc ae33
truncate -s 0 neph clap cpc ae33

echo "Uploading ${filename}"


sftp -b - \
    -o "ConnectTimeout 60" \
    -o "UserKnownHostsFile /dev/null" \
    -o "CheckHostIP no" \
    -o "StrictHostKeyChecking no" \
    -o "IdentityFile /var/lib/forge/id_arm" \
    -o "User noaa-aos" \
    "transfer.adc.arm.gov" <<EOF
put "${filename}" /sites/nsaX3/nsaaos1s/
quit
EOF

rm -f "${filename}" neph clap cpc ae33

